#include<stdio.h>
#include<string.h>
#include<stdlib.h>

#include "mol_system.h"

void calculate_no_solvent_molecules(struct mol_system *g96conformation,
				    int *no_solvent_molecules) {

  int i,count;

  void left_adjust_string(char *);

  count=0;
  for (i=0;i<g96conformation->no_of_atoms;++i) {
    left_adjust_string(g96conformation->resname[i]);
    left_adjust_string(g96conformation->aname[i]);   

    /* Look for SOL, H2O and H2OE */
    if ( (strncmp(g96conformation->resname[i],"SOL",3)==0 ||
	  strncmp(g96conformation->resname[i],"H2O",3)==0 ||
	  strncmp(g96conformation->resname[i],"H2OE",4)==0 ) &&
	 strncmp(g96conformation->aname[i],"OW",2)==0 ) {
      ++count;
    }

  }

  *no_solvent_molecules=count;

} /* calculate_no_solvent_molecules */
